﻿@model IEnumerable<XPos.ViewModel.VariantViewModel>

@*<p>
        @Html.ActionLink("Create New", "Create")
    </p>*@
<table class="table">
    <thead>
        <tr>
            @*<th>
                    @Html.DisplayNameFor(model => model.VariantId)
                </th>*@
            <th>
                @Html.DisplayNameFor(model => model.Initial)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            
            <th>
                @Html.DisplayNameFor(model => model.Active)
            </th>
            
            @*<th>
                    @Html.DisplayNameFor(model => model.VariantName)
                </th>*@
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                @*<td>
                        @Html.DisplayFor(modelItem => item.VariantId)
                    </td>*@
                <td>
                    @Html.DisplayFor(modelItem => item.Initial)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                
                <td>
                    @Html.DisplayFor(modelItem => item.Active)
                </td>
                
                @*<td>
                        @Html.DisplayFor(modelItem => item.VariantName)
                    </td>*@
                <td>
                    <div class="btn-group btn-group-sm">
                        <button type="button" class="btn btn-warning btn-edit" data-id="@item.id" title="Edit">
                            <span class="glyphicon glyphicon-edit" aria-hidden="true">

                            </span>

                        </button>

                    </div>

                    <div class="btn-group btn-group-sm">
                        <button type="button" class="btn btn-danger btn-delete" data-id="@item.id" title="Delete">
                            <span class="glyphicon glyphicon-trash" aria-hidden="true">

                            </span>

                        </button>

                    </div>

                </td>
            </tr>
}
    </tbody>
    <tfoot>
        <tr>
            <th colspan="9">
                <nav aria-label="Page Navigation">
                    <ul class="pagination">
                        <li>
                            <a href="#" aria-label="Previous" onclick="MoveToPage(-1)">
                                <span aria-hidden="true">&laquo;  </span>
                            </a>
                        </li>
                        @{
                            for (int i = 0; i < ViewBag.PageTotal; i++)
                            {
                                <li><a href="#" class="btn-page">@(i + 1)</a></li>
                            }
                        }
                        <li>
                            <a href="#" aria-label="Next" onclick="MoveToPage(1)">
                                <span aria-hidden="true">&raquo;</span>
                            </a>
                        </li>
                    </ul>

                </nav>

            </th>
        </tr>

    </tfoot>



</table>

<script type="text/javascript">

    $(document).ready(function () {
        $(".pagination li").eq(selPage).addClass('active');
        maxPage = @ViewBag.PageTotal;
    });
    $(".btn-edit").click(function () {
        $.ajax({
            url: '@Url.Action("Edit", "Variant")',
            type: 'get',
            data: {id : $(this).attr("data-Id")},
            success: function (result) {
                $(".modal-title").html("Edit");
                $(".modal-body").html(result);
                $(".modal").modal("show");
            }
        });
    });

    $(".btn-delete").click(function () {
        $.ajax({
            url: '@Url.Action("Delete", "Variant")',
            type: 'get',
            data: {id : $(this).attr("data-id")},
            success: function (result) {
                $(".modal-title").html("Delete");
                $(".modal-body").html(result);
                $(".modal").modal("show");
            }
        });
    });


    $(".btn-page").click(function () {
        selPage = $(this).html();
        $(".pagination li").eq(selPage).addClass('active');
        $(".pagination li").not(':eq(' + selPage + ')').removeClass('active');
        GetList(selPage);
    })
</script>
